EnderDash

Save Shared Server Workspace

POST
/servers/saveSharedServerWorkspace

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
serverId?string
Length1 <= length
serverSlug?string
Length1 <= length
document*

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/servers/saveSharedServerWorkspace" \  -H "Content-Type: application/json" \  -d '{    "document": {      "version": 3,      "layout": null,      "tiles": {        "property1": {          "panelType": "console"        },        "property2": {          "panelType": "console"        }      }    }  }'
null